Gajim - 2014-09-10


  1. Orhideous Hello everyone. Seems like last release is not so «fresh».
  2. Orhideous Here are repository copy orhideous@canterlot:~/Projects/gajim$ hg log -l1 changeset: 15488:43cb67972361 branch: gajim_0.16 tag: tip user: Yann Leboulanger <asterix@lagaule.org> date: Sun Sep 07 21:51:06 2014 +0200 summary: [fschmaus] Improve XEP-0082 support. Fixes #7814
  3. Orhideous And this: Gajim 0.16-rc2-43cb67972361 …i see in «About» window
  4. Orhideous Looks like all just fine.
  5. Orhideous But!
  6. Orhideous orhideous@canterlot:/$ diff /usr/share/gajim/src/gajim.py /home/orhideous/Projects/gajim/src/gajim.py | wc -l 202
  7. Orhideous Why source code in deb package (nightly release) and in repository differs when version hash 43cb67972361 doesn't changed?
  8. Orhideous orhideous@canterlot:/$ diff -qr /usr/share/gajim/src /home/orhideous/Projects/gajim/src | wc -l 116
  9. Orhideous I just download and unpack gajim-nightly_20140908-1_all.deb, checked twice. The same results.
  10. arune asterix: are strings frozen even for a config-param in advanced config editor?
  11. arune I get this error on installing Gajim http://picpaste.com/gajim-issue-hpEK9iol.png
  12. arune the only thing I found googling is https://trac.gajim.org/ticket/7619
  13. arune (The installed version was 0.16_rc2)
  14. bot RSS: Feeds for Gajim • Ticket #7821 (Delete contact from roster dialog should have focus after press Delete key) created Minor issue. Pressing a Delete key on a keyboard on some contact shows a confirmation dialog. Unfortunately that dialog has no focus and it is required to switch to it to be able to use ESC (cancel) and Enter (OK). It would be useful for a massive clearing roster operation to give that dialog a focus. https://trac.gajim.org/ticket/7821
  15. bot RSS: Feeds for Gajim • l29ah.jpeg.tar.gz attached to Ticket #7820 Source: ​https://mega.co.nz/#!uAdhSDJK!vjUthyUqawFK-IdxSgxrF0OKwG9u0e4WS5vgImf1_y0 https://trac.gajim.org/attachment/ticket/7820/l29ah.jpeg.tar.gz
  16. LordVan hm i wonder if i'm going to manage to get a hold of asterix any time soon lol
  17. Phil hey
  18. Phil I want to install gajim on my OSX and i have one error: Traceback (most recent call last): File "gajim.py", line 144, in <module> import gtk
  19. Phil but i have gtk already
  20. Link Mauve Which version?
  21. afics latest hg
  22. Link Mauve Gajim only supports GTK+ 2.x until its 0.16 version.
  23. afics i think the actual error was something else
  24. Link Mauve Starting from 0.17, and default branch in hg, it supports only GTK+ 3.x.
  25. Phil ImportError: No module named gtk <— this was also in this error message
  26. Link Mauve You need pygtk, btw.
  27. afics Phil, try $ export PYTHONPATH=/usr/local/lib/python2.7/site-packages:$PYTHONPATH before launching gajim
  28. Phil yeah python is killed xD
  29. afics what?
  30. Phil Logger gajim level set to 1 Fatal Python error: PyThreadState_Get: no current thread Abort trap: 6
  31. Link Mauve Sounds bad, but I have no idea how to fix that.
  32. afics ugh, so os x is crap :D
  33. afics anybody here got gajim working on this thing?
  34. afics Link Mauve, and don't worry about my foss spirit, I'd never switch to osx :D, just helping a buddy out
  35. Link Mauve I don’t think the OS is necessarily at fault here.
  36. Link Mauve Just that Gajim has got virtually zero testing on it.
  37. afics the LIBRARY_PATH is wrong
  38. afics at least this is what I'm guessing
  39. afics to be fair I got the stack trace at hand :P
  40. afics so more information for me ;)
  41. afics we'll try to fix this tomorrow